# List all transactions **GET /transactions** ## Servers - Preproduction environment: https://api.pre.lwolf.com (Preproduction environment) - Production environment: https://api.lwolf.com (Production environment) ## Authentication methods - O auth2 ## Parameters ### Query parameters - **limit** (integer) - **offset** (integer) - **startDate** (string(date)) - **endDate** (string(date)) ## Responses ### 200 Successful response #### Body: application/json (array[object]) - **id** (string) - **clientId** (string) - **agentId** (string) - **amount** (number(double)) - **transactionDate** (string(date-time)) - **type** (string) - **status** (string) [Powered by Bump.sh](https://bump.sh)